import 'package:fis_measure/interfaces/date_types/point.dart';

/// 图像边界
abstract class IImageBoundary {
  /// 边界角数据集合
  List<DPoint> get points;

  /// 左上角
  DPoint get topLeft;

  /// 左下角
  DPoint get bottomLeft;

  /// 右下角
  DPoint get bottomRight;

  /// 右上角
  DPoint get topRight;

  /// 宽度
  double get width;

  /// 高度
  double get height;
}
