import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/interfaces/process/items/types.dart';

class URMCurvatureMeasure {
  static String revertRatioName = "URMCurvature(E/A)";
  static String ratioName = "URMCurvature(A/E)";
  URMCurvatureMeasure(ItemMeta meta, IMeasureItem parent);

  static URMCurvatureMeasure createURMCurvatureMeasure(
      ItemMeta meta, IMeasureItem parent) {
    if (meta.measureType != MeasureTypes.URMCurvature) {
      throw ArgumentError();
    }
    var item = URMCurvatureMeasure(meta, parent);
    return item;
  }
}
