import 'package:fis_common/event/event_type.dart';
import 'package:fis_measure/interfaces/process/workspace/mobile_measure_view_state_controller.dart';

class MobileMeasureViewStateController
    implements IMobileMeasureViewStateController {
  MobileMeasureMode _currentMeasureMode = MobileMeasureMode.playerMode;

  @override
  MobileMeasureMode get currentMeasureMode => _currentMeasureMode;

  @override
  set currentMeasureMode(MobileMeasureMode value) {
    _currentMeasureMode = value;
    onModeChanged.emit(this, value);
  }

  @override
  var onModeChanged = FEventHandler<MobileMeasureMode>();
}
